### Enumeration

# Gimp BrushGeneratedShape

unstable since: 3.0

#### Declaration

    enum Gimp.BrushGeneratedShape

#### Description [src]

Shapes of generated brushes.

Available since: 3.0

#### Members

`GIMP_BRUSH_GENERATED_CIRCLE`

  Circle.

  - Value: `0`
  - Nickname: `circle`
  - Available since: 3.0
`GIMP_BRUSH_GENERATED_SQUARE`

  Square.

  - Value: `1`
  - Nickname: `square`
  - Available since: 3.0
`GIMP_BRUSH_GENERATED_DIAMOND`

  Diamond.

  - Value: `2`
  - Nickname: `diamond`
  - Available since: 3.0